com.fasterxml.jackson.databind.ser.std

## Class StdKeySerializers

- java.lang.Object
- - com.fasterxml.jackson.databind.ser.std.StdKeySerializers

    public class StdKeySerializers
    extends Object

### Nested Class Summary

Nested Classes
`static class` `StdKeySerializers.Default` This is a "chameleon" style multi-type key serializer for simple standard JDK types.
`static class` `StdKeySerializers.Dynamic` Key serializer used when key type is not known statically, and actual key serializer needs to be dynamically located.
`static class` `StdKeySerializers.StringKeySerializer` Simple and fast key serializer when keys are Strings.

### Field Summary

Fields
`protected static JsonSerializer<Object>` `DEFAULT_KEY_SERIALIZER`
`protected static JsonSerializer<Object>` `DEFAULT_STRING_SERIALIZER`

### Method Summary

Methods
`static JsonSerializer<Object>` `getDefault()` Deprecated. since 2.7
`static JsonSerializer<Object>` `getFallbackKeySerializer(SerializationConfig config, Class<?> rawKeyType)` Method called if no specified key serializer was located; will return a "default" key serializer.
`static JsonSerializer<Object>` `getStdKeySerializer(SerializationConfig config, Class<?> rawKeyType, boolean useDefault)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_KEY_SERIALIZER

    protected static final JsonSerializer<Object> DEFAULT_KEY_SERIALIZER

#### DEFAULT_STRING_SERIALIZER

    protected static final JsonSerializer<Object> DEFAULT_STRING_SERIALIZER

### Method Detail

#### getStdKeySerializer

    public static JsonSerializer<Object> getStdKeySerializer(SerializationConfig config,
                                             Class<?> rawKeyType,
                                             boolean useDefault)

Parameters:
  `config` - Serialization configuration in use, may be needed in choosing serializer to use
  `rawKeyType` - Type of key values to serialize
  `useDefault` - If no match is found, should we return fallback deserializer (true), or null (false)?

#### getFallbackKeySerializer

    public static JsonSerializer<Object> getFallbackKeySerializer(SerializationConfig config,
                                                  Class<?> rawKeyType)

Method called if no specified key serializer was located; will return a "default" key serializer.

Since:
  2.7

#### getDefault

    @Deprecated
    public static JsonSerializer<Object> getDefault()

Deprecated. since 2.7